<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
	
	// create letter links
		// build query
		$query = "SELECT
				SUBSTRING(UPPER(asset.asset_name),1,1) AS asset_letter
			FROM
				asset
			GROUP BY
				asset_letter
			ORDER BY
				asset_letter";
		
		// run query
		$alphabet = $db->db_select($query);
		$smarty->assign("alphabet", $alphabet);

	// setup asset
		// setup current letter
		if(isset($_GET['asset_letter'])) {
			$asset_letter = sanitize($_GET['asset_letter']);
		} else {
			$asset_letter = $alphabet[0]['asset_letter'];
		}
		
		// build query
		$query = "SELECT
				a.asset_id,
				IF(LENGTH(a.asset_name)>0, a.asset_name, '...') AS asset_name,
				a.asset_info,
				c.assetclass_id,
				c.assetclass_name
			FROM
				asset AS a LEFT OUTER JOIN assetclass AS c USING (assetclass_id)
			WHERE
				SUBSTRING(a.asset_name,1,1) = '" . $asset_letter . "'
			ORDER BY
				a.asset_name";

		// run query
		$assets = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("assets", $assets);

	// end page
		// output
		$smarty->display("asset.tpl");
		
		// end output
		include("footer.php");
?>
