<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id	
		$asset_id = sanitize($_GET['asset_id']);
		$node_ip = sanitize($_GET['node_ip']);
		$subnet_id = sanitize($_GET['subnet_id']);
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
	
	// to tpl
		$smarty->assign("node_ip", $node_ip);

	// setup asset
	$smarty->assign("asset_id", $asset_id);
		// build query
		$query = "SELECT
				asset.asset_id AS asset_id,
				asset.asset_name AS asset_name
			FROM
				asset
			ORDER BY
				asset.asset_name";
		
		// run query
		$assets = $db->db_select($query);
        foreach ($assets as $asset) {
            $asset_options[$asset['asset_id']] =  $asset['asset_name'];
        }
        $smarty->assign("asset_options", $asset_options);
	
	// setup subnet
		// build query
		$query = "SELECT subnet_id,
				CONCAT_WS('/', subnet_address, subnet_mask) AS subnet_name
			FROM subnet
			ORDER BY INET_ATON(subnet_address)";

		// run query
		$subnets = $db->db_select($query);
        foreach ($subnets as $subnet) {
            $subnet_options[$subnet['subnet_id']] =  $subnet['subnet_name'];
        }
        $smarty->assign("subnet_options", $subnet_options);

	// end page
		// output
		$smarty->display("assignnodetoasset.tpl");

        // end output
		include("footer.php");
?>