<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
	
	// icon image
		if(isset($_GET['icon'])) {
			// get desired image
			$icon = sanitize($_GET['icon']);
			
			// switch selected
			switch($icon) {
				case ("add") :
					$png = 'page_add';
				break;
				case ("back") :
					$png = 'control_rewind_blue';
				break;
				case ("cancel") :
					$png = 'control_rewind_blue';
				break;
				case ("comment") :
					$png = 'comment';
				break;
				case ("delete") :
					$png = 'page_delete';
				break;
				case ("shred") :
					$png = 'bin';
				break;
				case ("edit") :
					$png = 'page_edit';
				break;
				case ("error") :
					$png = 'error';
				break;
				case ("help") :
					$png = 'help';
				break;
				case ("logo") :
					$png = 'logo';
				break;
				case ("next") :
					$png = 'control_fastforward_blue';
				break;
				case ("save") :
					$png = 'page_save';
				break;
				case ("search") :
					$png = 'magnifier';
				break;
			}
			
			// get image
			$image = imagecreatefrompng("images/" . $png . ".png");
			
			// alpha blending
			imagealphablending($image, true);
			
			// save alphablending setting
			imagesavealpha($image, true);
			
			// display image
			header('Content-type: image/png');
			imagepng($image);
			imagedestroy($image);
		}
	
	// colored block
		if(isset($_GET['color'])) {
			// get desired color
			$color = sanitize($_GET['color']);
			
			// create base image
			$image = imagecreatetruecolor($_SESSION['suser_imagesize'], $_SESSION['suser_imagesize']);
			
			// build color
			$color = imagecolorallocate($image, hexdec(substr($color,0,2)), hexdec(substr($color,2,2)), hexdec(substr($color,4,2)));
			
			// fill image with color
			imagefill($image, 0, 0, $color);
			
			// display image
			header('Content-type: image/png');
			imagepng($image);
			imagedestroy($image);
		}
?>