<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id
		$location_id = sanitize($_GET['location_id']);
		
		// start output
		include("header.php");

		// set language variables
		$smarty->assign($lang);
	
	// start locationcrumb
		// get location crumbs

            $query = "SELECT location_id AS id,
                    location_name AS name,
                    location_parent AS parent_id,
                    location_info
                FROM location
                WHERE location_id=" . $location_id;
            $location = $db->db_select($query);
            $location[0]['url'] = 'locationview.php?location_id=' . $location[0]['id'];
            $crumbs[] = $location[0];
            $level = 1;
            while ($crumbs[0]['parent_id'] != 0) {
                $query = "SELECT location_id AS id, 
                        location_name AS name,
                        location_parent AS parent_id
                    FROM location
                    WHERE location_id=" . $crumbs[0]['parent_id'];
                $result = $db->db_select($query);
                $result[0]['url'] = 'locationview.php?location_id=' . $result[0]['id'];
                array_unshift($crumbs, $result[0]);
                $level++;
            }

        // send to tpl
            $smarty->assign("location_id", $location_id);
            $smarty->assign("location_info", nl2br($location[0]['location_info']));
            $smarty->assign("crumbs", $crumbs);


	// setup sublocations		
		// build query
		$query = "SELECT
				location_id AS sublocation_id,
				location_name AS sublocation_name,
				LEFT(location_info, 40) AS info_short,
				CHAR_LENGTH(location_info) AS info_length
			FROM
				location
			WHERE
				location_parent=" . $location_id . "
			ORDER BY
				location_name";

		// run query
		$sublocations = $db->db_select($query);
        $smarty->assign("sublocations", $sublocations);
	
	// setup subnets
		// build query
		$query = "SELECT
				s.subnet_id,
				s.subnet_address,
				s.subnet_mask
			FROM
				subnet AS s LEFT JOIN subnetlocation USING (subnet_id)
			WHERE
				subnetlocation.location_id=" . $location_id . "
			ORDER BY
				INET_ATON(s.subnet_address)";

		// run query
		$subnets = $db->db_select($query);
		$smarty->assign("subnets", $subnets);
	
	// end page
		// output
		$smarty->display("locationview.tpl");
		
		// footer
		include("footer.php");
?>