<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get ip and id
		$node_id = sanitize($_GET['node_id']);

		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);

	// setup node_ext
		// build query
		$query = "SELECT
				node_ip AS node_ip_ext
			FROM
				node
			WHERE
				node_id=" . $node_id;

		// run query
		$node = $db->db_select($query);

		$smarty->assign("node_id_ext", $node_id);
		$smarty->assign("node_ip_ext", $node[0]['node_ip_ext']);

	// setup node_int
		// build query
		$query = "SELECT
				a.asset_name,
				n.node_id AS node_id_int,
				n.node_ip AS node_ip_int
			FROM
				asset AS a LEFT JOIN node AS n USING (asset_id)
			WHERE
				n.node_id NOT IN (
					SELECT
						nat_int
					FROM
						nat
					WHERE
						nat_ext=" . $node_id . "
				)
				AND n.node_id!=" . $node_id . "
			ORDER BY
				INET_ATON(n.node_ip)";
		
		// run query
		$nodes = $db->db_select($query);
        foreach ($nodes as $rec) {
             $node_options[$rec['node_id_int']] = $rec['node_ip_int'] . '/' . $rec['asset_name'];
        }
        $smarty->assign("node_options", $node_options);

        $nat_type_options[1] = $lang['lang_nat_type_1'];
        $nat_type_options[2] = $lang['lang_nat_type_2'];
        $nat_type_options[3] = $lang['lang_nat_type_3'];
        $smarty->assign("nat_type_options", $nat_type_options);

	// end page
		// output
        $smarty->display("natadd.tpl");
	
		// end output
		include("footer.php");
?>