<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// check for set ip and/or subnet_id
		if ((isset($_GET['node_ip'])) ? $node_ip = sanitize($_GET['node_ip']) : $node_ip = '');
		if ((isset($_GET['subnet_id'])) ?  $subnet_id = sanitize($_GET['subnet_id']) : $subnet_id = '');
		
		// start output
		include("header.php");

		// set language variables
		$smarty->assign($lang);

	// set vars
		$smarty->assign("user_dns1suffix", $_SESSION['suser_dns1suffix']);
		$smarty->assign("user_dns2suffix", $_SESSION['suser_dns2suffix']);
		$smarty->assign("node_ip", $node_ip);
	
	// setup subnet
        $smarty->assign("subnet_options", $db->options_subnet());

	// setup assetclass
        $smarty->assign("assetclass_options", $db->options_assetclass());

	// end page
		// output
        $smarty->display("nodeadd.tpl");

        // end output
		include("footer.php");
?>