<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id	
		$node_id = sanitize($_GET['node_id']);
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
		
	// setup node
		// build query
		$query = "SELECT
				a.asset_id,
				n.node_id,
				n.node_ip,
				n.node_mac,
				n.node_dns1,
				n.node_dns2,
				n.node_info,
				s.subnet_id,
				n.zone_id
			FROM
				asset AS a,
				node AS n,
				subnet AS s
			WHERE
				a.asset_id=n.asset_id
				AND n.node_id=" . $node_id . "
				AND s.subnet_id=n.subnet_id";

		// run query
		$node = $db->db_select($query);

// send to tpl
		$smarty->assign("node_id", $node[0]['node_id']);
		$smarty->assign("node_ip", $node[0]['node_ip']);
		$smarty->assign("node_mac", write_mac($node[0]['node_mac']));
		$smarty->assign("node_dns1", $node[0]['node_dns1']);
		$smarty->assign("node_dns2", $node[0]['node_dns2']);
		$smarty->assign("node_info", $node[0]['node_info']);
		$smarty->assign("asset_id", $node[0]['asset_id']);
		$smarty->assign("subnet_id", $node[0]['subnet_id']);
		$smarty->assign("zone_id", $node[0]['zone_id']);

	// setup asset
        $smarty->assign("asset_options", $db->options_asset());

    // setup subnet
        $smarty->assign("subnet_options", $db->options_subnet());

    // setup zone
        $smarty->assign("zone_options", $db->options_zone("(keine)"));

	// end page
		// output
        $smarty->display("nodeedit.tpl");
		
		// end output
		include("footer.php");
?>