<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
		$smarty->assign("language", $language);
	
	// setup options
		// set menu checkboxes
			// assets
			if($_SESSION['suser_menu_assets']=='on') {
				$user_menu_assets_checked = 'checked';
			} else {
				$user_menu_assets_checked = '';
			}
			// assetclasses
			if($_SESSION['suser_menu_assetclasses']=='on') {
				$user_menu_assetclasses_checked = 'checked';
			} else {
				$user_menu_assetclasses_checked = '';
			}
			// assetclassgroups
			if($_SESSION['suser_menu_assetclassgroups']=='on') {
				$user_menu_assetclassgroups_checked = 'checked';
			} else {
				$user_menu_assetclassgroups_checked = '';
			}
			// locations
			if($_SESSION['suser_menu_locations']=='on') {
				$user_menu_locations_checked = 'checked';
			} else {
				$user_menu_locations_checked = '';
			}
			// nodes
			if($_SESSION['suser_menu_nodes']=='on') {
				$user_menu_nodes_checked = 'checked';
			} else {
				$user_menu_nodes_checked = '';
			}
			// subnets
			if($_SESSION['suser_menu_subnets']=='on') {
				$user_menu_subnets_checked = 'checked';
			} else {
				$user_menu_subnets_checked = '';
			}
			// users
			if($_SESSION['suser_menu_users']=='on') {
				$user_menu_users_checked = 'checked';
			} else {
				$user_menu_users_checked = '';
			}
			// vlans
			if($_SESSION['suser_menu_vlans']=='on') {
				$user_menu_vlans_checked = 'checked';
			} else {
				$user_menu_vlans_checked = '';
			}
			// zones
			if($_SESSION['suser_menu_zones']=='on') {
				$user_menu_zones_checked = 'checked';
			} else {
				$user_menu_zones_checked = '';
			}
			// tooltips
			if($_SESSION['suser_tooltips']=='on') {
				$user_tooltips_checked = 'checked';
			} else {
				$user_tooltips_checked = '';
			}
		
		// send to tpl
		$smarty->assign("user_id", $_SESSION['suser_id']);
		$smarty->assign("user_imagesize", $_SESSION['suser_imagesize']);
		$smarty->assign("user_imagecount", $_SESSION['suser_imagecount']);
		$smarty->assign("user_mac", $_SESSION['suser_mac']);
		$smarty->assign("user_dateformat", $_SESSION['suser_dateformat']);
		$smarty->assign("user_dns1suffix", $_SESSION['suser_dns1suffix']);
		$smarty->assign("user_dns2suffix", $_SESSION['suser_dns2suffix']);
		$smarty->assign("user_language", $_SESSION['suser_language']);
		$smarty->assign("user_menu_assets_checked", $user_menu_assets_checked);
		$smarty->assign("user_menu_assetclasses_checked", $user_menu_assetclasses_checked);
		$smarty->assign("user_menu_assetclassgroups_checked", $user_menu_assetclassgroups_checked);
		$smarty->assign("user_menu_locations_checked", $user_menu_locations_checked);
		$smarty->assign("user_menu_nodes_checked", $user_menu_nodes_checked);
		$smarty->assign("user_menu_subnets_checked", $user_menu_subnets_checked);
		$smarty->assign("user_menu_users_checked", $user_menu_users_checked);
		$smarty->assign("user_menu_vlans_checked", $user_menu_vlans_checked);
		$smarty->assign("user_menu_zones_checked", $user_menu_zones_checked);
		$smarty->assign("user_tooltips_checked", $user_tooltips_checked);

	// end page
		// output
		$smarty->display("optionseditdisplay.tpl");

		// end output
		include("footer.php");
?>