<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// start output
		include("header.php");
			
		// set language variables
		$smarty->assign($lang);
	
	// setup vlan
		// build query
		$query = "SELECT
				vlan.vlan_id AS vlan_id,
				vlan.vlan_number AS vlan_number,
				vlan.vlan_name AS vlan_name,
				LEFT(vlan.vlan_info, 60) AS vlan_info
			FROM
				vlan
			ORDER BY
				vlan.vlan_number";
		
		// run query
		$vlans = $db->db_select($query);
        $smarty->assign("vlans", $vlans);

	// end page
		// output
		$smarty->display("vlan.tpl");
		
		// end output
		include("footer.php");
?>