<?php
    /*****************************************************************************
    IP Reg, a PHP/MySQL IPAM tool
    Copyright (C) 2007-2009 Wietse Warendorff

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    For more information, visit http://sourceforge.net/projects/ipreg,
    or contact me at wietsew@users.sourceforge.net
    *****************************************************************************/

    // start page
        // includes
        include("includes.php");

        // get id
        $assetclass_id = sanitize($_GET['assetclass_id']);

        // start output
        include("header.php");

        // set language variables
        $smarty->assign($lang);

    // setup assetclass
        // build query
          $query = "SELECT
                a.assetclass_id, a.assetclass_name,
                g.assetclassgroup_id, g.assetclassgroup_name, g.assetclassgroup_color
            FROM
                assetclass AS a LEFT OUTER JOIN assetclassgroup AS g USING (assetclassgroup_id)
            WHERE
                a.assetclass_id=" . $assetclass_id;

        // run query
        $assetclass = $db->db_select($query);

        // send to tpl
        $smarty->assign("assetclass_id", $assetclass[0]['assetclass_id']);
        $smarty->assign("assetclass_name", $assetclass[0]['assetclass_name']);
        $smarty->assign("assetclass_selected", "");

        $smarty->assign("assetclassgroup_id", $assetclass[0]['assetclassgroup_id']);
        $smarty->assign("assetclassgroup_name", $assetclass[0]['assetclassgroup_name']);
        $smarty->assign("assetclassgroup_color", $assetclass[0]['assetclassgroup_color']);

        // send to tpl
    // setup asset
        // build query
        $query = "SELECT
                asset_id,
                asset_name,
                CONCAT(LEFT(asset_info, 80), IF(CHAR_LENGTH(asset_info)>80,'...','')) AS asset_info
            FROM
                asset
            WHERE
                assetclass_id='" . $assetclass_id . "'
            ORDER BY
                asset_name";

        // run query
        $assets = $db->db_select($query);
        $smarty->assign("assets", $assets);

    // end page
        // output
        $smarty->display("assetclassview.tpl");

        // footer
        include("footer.php");
?>
