<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// include language file
		include('lang/' . $_SESSION['suser_language'] . '.php');
			
		// set language variables
		$smarty->assign($lang);
	
	// search box
		// new search?
		if (isset($_POST['search'])) {
			// set var
			$search = sanitize($_POST['search']);
			
			// store var
			$_SESSION['search'] = $search;
		} else {
			// check for stored var
			if(isset($_SESSION['search'])) {
				// set var
				$search = $_SESSION['search'];
			} else {
				// empty var
				$search = '';
			}
		}
	
		// to tpl
		// set global template vars
		$smarty->assign("config_version", $config_version);
		$smarty->assign("suser_name", $_SESSION['suser_displayname']);
		$smarty->assign("search", $search);
	
	// menu
		$smarty->assign("menu_assets", $_SESSION['suser_menu_assets']=='on');
		$smarty->assign("menu_assetclasses", $_SESSION['suser_menu_assetclasses']=='on');
		$smarty->assign("menu_assetclassgroups", $_SESSION['suser_menu_assetclassgroups']=='on');
		$smarty->assign("menu_locations", $_SESSION['suser_menu_locations']=='on');
		$smarty->assign("menu_nodes", $_SESSION['suser_menu_nodes']=='on');
		$smarty->assign("menu_subnets", $_SESSION['suser_menu_subnets']=='on');
		$smarty->assign("menu_users", $_SESSION['suser_menu_users']=='on');
		$smarty->assign("menu_vlans", $_SESSION['suser_menu_vlans']=='on');
        $smarty->assign("menu_zones", $_SESSION['suser_menu_zones']=='on');

    // end page
		// output
		$smarty->display("header.tpl");
?>