<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);

	// setup asset
		// build query
		$query = "SELECT
				COUNT(asset.asset_id) AS asset_counter
			FROM
				asset";
		
		// run query
		$assets = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("asset_counter", $assets[0]['asset_counter']);
	
	// setup location
		// build query
		$query = "SELECT
				COUNT(location.location_id) AS location_counter
			FROM
				location";
		
		// run query
		$locations = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("location_counter", $locations[0]['location_counter']);
	
	// setup node
		// build query
		$query = "SELECT
				COUNT(node.node_id) AS node_counter
			FROM
				node";
		
		// run query
		$nodes = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("node_counter", $nodes[0]['node_counter']);
	
	// setup subnet
		// build query
		$query = "SELECT
				COUNT(subnet.subnet_id) AS subnet_counter
			FROM
				subnet";
		
		// run query
		$subnets = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("subnet_counter", $subnets[0]['subnet_counter']);
	
	// setup vlan
		// build query
		$query = "SELECT
				COUNT(vlan.vlan_id) AS vlan_counter
			FROM
				vlan";
		
		// run query
		$vlans = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("vlan_counter", $vlans[0]['vlan_counter']);

	// setup zone
		// build query
		$query = "SELECT
				COUNT(zone_id) AS zone_counter
			FROM
				zone";
		
		// run query
		$zones = $db->db_select($query);
		
		// counter to tpl
		$smarty->assign("zone_counter", $zones[0]['zone_counter']);


	// end page
		// output
        $smarty->display("index.tpl");

        // footer
		include("footer.php");
?>