<?php
    /*****************************************************************************
    IP Reg, a PHP/MySQL IPAM tool
    Copyright (C) 2007-2009 Wietse Warendorff

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    For more information, visit http://sourceforge.net/projects/ipreg,
    or contact me at wietsew@users.sourceforge.net
    *****************************************************************************/

    // start page
        // includes
        include("includes.php");

        // start output
        include("header.php");

        // set language variables
        $smarty->assign($lang);

    // start node
        // setup view
            // subnet
            if(isset($_GET['subnet_id'])) {
                // get id
                $subnet_id = sanitize($_GET['subnet_id']);

                // build query part
                $subnet_view = "AND node.subnet_id=" . $subnet_id;

                // to tpl
                $smarty->assign("subnet_id", $subnet_id);
            } else {
                // to tpl
                $smarty->assign("subnet_id", "");
            }

        // build query
        $query = "SELECT
                asset.asset_id,
                REPLACE(asset.asset_name, ' ', '&nbsp;') AS asset_name,
                asset.asset_info,
                node.node_id,
                node.node_ip
            FROM
                asset,
                node
            WHERE
                asset.asset_id=node.asset_id
                " . $subnet_view . "
            GROUP BY
                node.node_id
            ORDER BY
                INET_ATON(node.node_ip)";

        // run query
        $nodes = $db->db_select($query);
        $smarty->assign("nodes", $nodes);

    // end page
        // output
        $smarty->display("node.tpl");

        // end output
        include("footer.php");
?>
