<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id	
		$subnet_id = sanitize($_GET['subnet_id']);
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
	
	// setup subnet
		// build query
		$query = "SELECT
				subnet_address,
				subnet_mask
			FROM
				subnet
			WHERE
				subnet_id=" . $subnet_id;
		
		// run query
		$subnet = $db->db_select($query);
		
		// send to tpl
		$smarty->assign("subnet_id", $subnet_id);
		$smarty->assign("subnet_address", $subnet[0]['subnet_address']);
		$smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);
	
	// setup node		
		// build query
		$query = "SELECT
				node_id,
				node_ip
			FROM
				node
			WHERE
				subnet_id=" . $subnet_id . "
			ORDER BY
				INET_ATON(node_ip)";

		// run query
		$nodes = $db->db_select($query);
        $smarty->assign("nodes", $nodes);
	
	// end page
		// output
        $smarty->display("subnetdel.tpl");
		
		// footer
		include("footer.php");
?>