<?php
    /*****************************************************************************
    IP Reg, a PHP/MySQL IPAM tool
    Copyright (C) 2007-2009 Wietse Warendorff

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    For more information, visit http://sourceforge.net/projects/ipreg,
    or contact me at wietsew@users.sourceforge.net
    *****************************************************************************/

    // start page
        // includes
        include("includes.php");

        // get id
        $subnet_id = sanitize($_GET['subnet_id']);

        // start output
        include("header.php");

        // set language variables
        $smarty->assign($lang);

    // setup subnet
        // build query
        $query = "SELECT
                subnet_address,
                subnet_mask,
                protocol_version,
                subnet_dhcp_start,
                subnet_dhcp_end,
                ntp_server,
                subnet_info AS subnet_info
            FROM
                subnet
            WHERE
                subnet_id=" . $subnet_id;

        // run query
        $subnet = $db->db_select($query);

        // send to tpl
        $smarty->assign("subnet_id", $subnet_id);
        $smarty->assign("subnet_address", $subnet[0]['subnet_address']);
        $smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);
        $smarty->assign("subnet_proto_vers", $subnet[0]['protocol_version']);
        $smarty->assign("subnet_dhcpstart", $subnet[0]['subnet_dhcp_start']);
        $smarty->assign("subnet_dhcpend", $subnet[0]['subnet_dhcp_end']);
        $smarty->assign("subnet_ntp_server", $subnet[0]['ntp_server']);
        $smarty->assign("subnet_info", $subnet[0]['subnet_info']);

    // end page
        // output
        $smarty->display("subnetedit.tpl");

        // end output
        include("footer.php");
?>
