<?php
	/*****************************************************************************
	IP Reg, a PHP/MySQL IPAM tool
	Copyright (C) 2007-2009 Wietse Warendorff
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	For more information, visit http://sourceforge.net/projects/ipreg,
	or contact me at wietsew@users.sourceforge.net
	*****************************************************************************/
	
	// start page
		// includes
		include("includes.php");
		
		// get id
		$vlan_id = sanitize($_GET['vlan_id']);
		
		// start output
		include("header.php");
		
		// set language variables
		$smarty->assign($lang);
	
	// setup vlan
		// build query
		$query = "SELECT
				vlan.vlan_name AS vlan_name,
				vlan.vlan_number AS vlan_number,
				vlan.vlan_info AS vlan_info
			FROM
				vlan
			WHERE
				vlan.vlan_id=" . $vlan_id;
		
		// run query
		$vlan = $db->db_select($query);
        
		// send to tpl
		$smarty->assign("vlan_id", $vlan_id);
		$smarty->assign("vlan_name", $vlan[0]['vlan_name']);
		$smarty->assign("vlan_number", $vlan[0]['vlan_number']);
		$smarty->assign("vlan_info", nl2br($vlan[0]['vlan_info']));

	// setup subnets
		// build query
		$query = "SELECT
				subnet.subnet_id,
				subnet.subnet_address,
				subnet.subnet_mask,
				subnet.subnet_info
			FROM
				subnet,
				subnetvlan
			WHERE
				subnetvlan.vlan_id=" . $vlan_id . "
				AND subnet.subnet_id=subnetvlan.subnet_id
			ORDER BY
				INET_ATON(subnet.subnet_address)";
		
		// run query
		$subnets = $db->db_select($query);
		$smarty->assign("subnets", $subnets);

    // end page
		// output
        $smarty->display("vlanview.tpl");
	
        // end output
		include("footer.php");
?>